*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: #F6F7C1;
}


a {
	text-decoration: none;
	font-weight: 600;
}

nav{
    background-color: #BEF0CB;
    padding: 20px;
    margin: 0 auto 10px auto;
    text-align: center;
}


footer{
    background-color: #BEF0CB;
	color: #C1AEFC;
    padding: 20px;
    margin: 0 auto;
    font-size: 30px;
    text-align: center;
}

h1{
    color: #E7717D;
    text-align: center;
	font-size: 50px;
}

h2{
    text-align: center;
    margin: 10px auto 10px auto;
}

img{
    width: 250px;
    border-radius: 20px;
}

/* The link to go back to the main page */
.home-link{
    border-radius: 10px;
    font-size: 30px;
    transition-duration: 0.3s;
    padding: 10px;
}

.home-link:link{
	color: #C1AEFC;
}

.home-link:hover{
    background-color: #C1AEFC;
    color: white;
}


.home-link:active{
	color: #BEF0CB;
}


.home-link:visited{
    color: white;
}


/* The grid layout */
.grid-container {
    display: grid;
    grid-template-columns: auto auto auto;
    padding: 10px;
    margin: 20px auto;
  }



  .grid-item {
    padding: 20px;
    font-size: 30px;
    text-align: center;
    margin: 10px auto;
  }

/* Link to take you to the shrimp recipes */

  .shrimp-link {
	color: #E7717D;
	overflow:hidden;
	position: relative;
	display: inline-block;
	margin: 10px auto;
  }
  
  .shrimp-link::before,
  .shrimp-link::after {
   content: '';
	position: absolute;
	width: 100%;
	left: 0;
  }
  .shrimp-link::before {
	background-color: #54b3d6;
	height: 2px;
	bottom: 0;
	transform-origin: 100% 50%;
	transform: scaleX(0);
	transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
  }
  .shrimp-link::after {
	content: attr(data-replace);
	height: 100%;
	top: 0;
	transform-origin: 100% 50%;
	transform: translate3d(200%, 0, 0);
	transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
	color: #C1AEFC;
  }
  
  .shrimp-link:hover::before {
	transform-origin: 0% 50%;
	transform: scaleX(1);
  }
  .shrimp-link:hover::after {
	transform: translate3d(0, 0, 0);
  }
  
  .shrimp-link span {
	display: inline-block;
	transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
  }
  
  .shrimp-link:hover span {
	transform: translate3d(-200%, 0, 0);
  }
  
.ratings{
	font-size: 25px;
	color: #617143;
	margin: 10px auto;
}